Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.unix
Class Chown

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.ExecTask
                  org.apache.tools.ant.taskdefs.ExecuteOn
                      org.apache.tools.ant.taskdefs.optional.unix.AbstractAccessTask
                          org.apache.tools.ant.taskdefs.optional.unix.Chown

All Implemented Interfaces:
  java.lang.Cloneable

    public class Chown

extends AbstractAccessTask

Chown equivalent for unix-like environments.

Since:
  Ant 1.6

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.tools.ant.taskdefs.ExecuteOn
`ExecuteOn.FileDirBoth`

Field Summary

Fields inherited from class org.apache.tools.ant.taskdefs.ExecuteOn
`destDir, filesets, mapper, mapperElement, srcFilePos, srcIsFirst, targetFilePos, type`

Fields inherited from class org.apache.tools.ant.taskdefs.ExecTask
`cmdl, failOnError, newEnvironment, redirector, redirectorElement`

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`Chown()` Chown task for setting file and directory permissions.

Method Summary
`protected void` | `checkConfiguration()` Ensure that all the required arguments and other conditions have been set.
`void` | `setExecutable(java.lang.String e)` We don't want to expose the executable atribute, so overide it.
`void` | `setOwner(java.lang.String owner)` Set the owner atribute.

Methods inherited from class org.apache.tools.ant.taskdefs.optional.unix.AbstractAccessTask
`isValidOs, setAddsourcefile, setCommand, setFile, setSkipEmptyFilesets`

Methods inherited from class org.apache.tools.ant.taskdefs.ExecuteOn
`add, add, addDirset, addFilelist, addFileset, createHandler, createMapper, createSrcfile, createTargetfile, getCommandline, getCommandline, getDirs, getFiles, getFilesAndDirs, runExec, runParallel, setDest, setForce, setForwardslash, setIgnoremissing, setMaxParallel, setParallel, setRelative, setType, setupRedirector, setVerbose`

Methods inherited from class org.apache.tools.ant.taskdefs.ExecTask
`addConfiguredRedirector, addEnv, createArg, createWatchdog, execute, getOs, getOsFamily, getResolveExecutable, logFlush, maybeSetResultPropertyValue, prepareExec, resolveExecutable, runExecute, setAppend, setDir, setError, setErrorProperty, setFailIfExecutionFails, setFailonerror, setInput, setInputString, setLogError, setNewenvironment, setOs, setOsFamily, setOutput, setOutputproperty, setResolveExecutable, setResultProperty, setSearchPath, setSpawn, setTimeout, setTimeout, setVMLauncher`

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Chown

    public Chown()

  Chown task for setting file and directory permissions.

Method Detail

### setOwner

    public void setOwner(java.lang.String owner)

  Set the owner atribute.

  Parameters:
    `owner` - The new owner for the file(s) or directory(ies)

### checkConfiguration

    protected void checkConfiguration()

  Ensure that all the required arguments and other conditions have been set.

  Overrides:
    `checkConfiguration` in class `ExecuteOn`

### setExecutable

    public void setExecutable(java.lang.String e)

  We don't want to expose the executable atribute, so overide it.

  Overrides:
    `setExecutable` in class `ExecTask`
  Parameters:
    `e` - User supplied executable that we won't accept.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD